# MatMFFDSetPeriod

Sets how often h is recomputed, by default it is everytime

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMFFDSetPeriod(Mat mat,PetscInt period)

Collective on Mat

### Input Parameters

| mat | - the matrix free matrix created via MatCreateSNESMF()
| period | - 1 for everytime, 2 for every second etc

### Options Database Keys

| -mat_mffd_period <period> | -

### Keywords

SNES, matrix-free, parameters

### See Also

MatCreateSNESMF(),MatMFFDGetH(),
MatMFFDSetHHistory(), MatMFFDResetHHistory(), MatMFFDKSPMonitor()

Level:advanced
Location: src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages